/**
 * Copyright (c) 2009 Mark Logic Corporation. All rights reserved.
 */
package com.marklogic.cpox;

import java.io.FileNotFoundException;

/**
 * @author Michael Blakeley, Mark Logic Corporation
 *
 */
public class ActionException extends Exception {

    protected boolean verbose = true;

    /**
     * @param message
     */
    public ActionException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public ActionException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public ActionException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * @param message
     * @param cause
     * @param _verbose
     */
    public ActionException(String message, FileNotFoundException cause,
            boolean _verbose) {
        super(message, cause);
        verbose = _verbose;
    }

    /**
     * @param message
     * @param _verbose
     */
    public ActionException(String message, boolean _verbose) {
        super(message);
        verbose = _verbose;
    }

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * @return
     */
    public boolean isTerse() {
        return !verbose;
    }

}
