/**
 * Copyright (c) 2009 Mark Logic Corporation. All rights reserved.
 */
package com.marklogic.cpox;

/**
 * @author Michael Blakeley, Mark Logic Corporation
 * 
 */
public class WikipediaTermGenerator extends AbstractTermGenerator {

    static {
        nameList = new String[] { "text" };
    }

    /**
     * @param configuration
     * @param args
     */
    public WikipediaTermGenerator(Configuration configuration,
            String[] args) {
        super(configuration, args);
    }

    public static void main(String[] args) throws Exception {
        // input should be a zip of wikipedia content

        // simple test case
        Configuration configuration = new Configuration();
        configuration.load(System.getProperties());
        configuration.configure();
        TermGenerator gen = new WikipediaTermGenerator(configuration,
                args);
        // repeatable shuffle
        gen.shuffle(12345);

        for (int i = 0; i < 100; i++) {
            System.out.println(String.format("%d: %s (lang=%s)", i, gen
                    .nextWord(), gen.getLanguage()));
        }

        // long loop, to test multiple zip entries
        long count = 0;
        String word;
        while (true) {
            count++;
            word = gen.nextWord();
            if (0 == count % 10000) {
                System.out.println(String.format("%d: %s (lang=%s)",
                        count, word, gen.getLanguage()));
            }
            if (count > 3 * LIMIT) {
                break;
            }
        }
    }
}
